{ImportDsc}(1)

NAME
{ImportDsc} - Import exiting package into Mercurial repository.

SYNOPSIS
{ImportDsc} [option] ... dscfile

DESCRIPTION
Import an existing source package into a Mercurial repository. The diffs and upstream sources are extracted from the contents of the .dsc file. {ImportOrig}(1) is called to import the upstream source into the upstream branch, which is then merged into the default branch, and the diffs are applied to the default branch. It is possible to use {ImportDsc} multiple times to import several versions, but the versions must be imported sequentially starting with the earliest version.

OPTIONS

--version, -V

    Output version and exit.

--verbose, -v

    Increase verbosity level. Can be used several times.

EXAMPLES

{ImportDsc} ../mypack_1.2-3.dsc

    Import package mypack version 1.2-3 into the repository in the current directory. After the import, the repository will have the tags mypack_1.2 and mypack_1.2-3.

AUTHOR
Jens Peter Secher <jpsecher@gmail.com>

THANKS
The ideas for this package originates from John Goerzen's hg-buildpackage.

SEE ALSO
{ImportOrig}(1), {BuildPackage}(1), {TagVersion}(1), {PristineTar}(1), {Port}(1).